Bug 394161 - Can't increase PermGen for eclipse
Can't increase PermGen for eclipse
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 08:38 EST by Mary Ellen Foster
Modified: 2008-02-18 22:12 EST (History)
4 users (show)

See Also:
Fixed In Version: 3.3.0-31.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 22:12:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2007-11-21 08:38:02 EST
Description of problem:
It's well known that Eclipse has difficulty with "PermGen" memory, and that you
need to increase the default size. /usr/share/eclipse/eclipse.ini contains
"--launcher.XXMaxPermSize 256m", which looks promising. However, that means that
the launcher is supposed to detect for itself whether it's running on a Sun VM
and increase the value in that case. It seems that only works on Windows (and
maybe even not there) -- see
http://wiki.eclipse.org/FAQ_How_do_I_increase_the_permgen_size_available_to_Eclipse%3F

I'd suggest putting this directly into the vmargs instead: adding
    -XX:MaxPermSize=256m
to the end of the file directly. I've just done this, and I hope that it'll
solve my PermGen issues ... I haven't tested it heavily yet, but I'm about to,
so I'll report back here if it keeps crashing.

Version-Release number of selected component (if applicable):
eclipse-platform-3.3.0-30.fc8

How reproducible:
Every time (eventually)

Steps to Reproduce:
1. Run Eclipse
2. Open lots of projects and do lots of edits, builds, etc
  
Actual results:
Eclipse runs out of PermGen space and either complains or crashes

Expected results:
Eclipse keeps working!
Comment 1 Mary Ellen Foster 2007-11-21 08:47:47 EST
Okay, a bit more investigation makes me believe that eclipse doesn't actually
read eclipse.ini at all ... *is* there any way to get the needed extra vmarg to
Fedora Eclipse?
Comment 2 Andrew Overholt 2007-11-21 11:13:47 EST
I tracked the problem down to the fact that Eclipse was looking for eclipse.ini
in %{_libdir}/eclipse and not %{_datadir}/eclipse where the file was.  Putting
it in the former shows the vmargs being passed through correctly in both the
Help->About->Configuration dialogue and in jconsole.

This fix will be included with 3.3.1.1 which I am going to push as soon as I
sort out the ppc64 build.
Comment 3 Fedora Update System 2007-12-07 16:31:30 EST
icu4j-3.6.1-1jpp.5.fc8, eclipse-3.3.1.1-13.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update icu4j eclipse'
Comment 4 Fedora Update System 2007-12-21 16:08:14 EST
eclipse-3.3.0-31.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update eclipse'
Comment 5 Fedora Update System 2008-02-18 22:12:35 EST
eclipse-3.3.0-31.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.